Package sop.enums

# Enum Class ArmorLabel

java.lang.Object
java.lang.Enum<ArmorLabel>
sop.enums.ArmorLabel

All Implemented Interfaces:
  `Serializable`, `Comparable<ArmorLabel>`, `Constable`

public enum ArmorLabel extends Enum<ArmorLabel>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Auto`
`Cert`
`Key`
`Message`
`Sig`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static ArmorLabel`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ArmorLabel[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Auto

public static final ArmorLabel Auto

### Sig

public static final ArmorLabel Sig

### Key

public static final ArmorLabel Key

### Cert

public static final ArmorLabel Cert

### Message

public static final ArmorLabel Message

## Method Details

### values

public static ArmorLabel[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ArmorLabel valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<ArmorLabel>`